/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0
 */
import { SecretsManagerClient } from '@aws-sdk/client-secrets-manager';
/**
 * Retrieve certificate data from the Secret with the given ARN.
 * @param arn ARN of the Secret containing the certificate
 * @param client An instance of the SecretsManager class
 */
export declare function readCertificateData(arn: string, client: SecretsManagerClient): Promise<string>;
